
def extract_text_from_html(html_content, tag):
    from lxml import etree

    def extract_text_from_element(element):
        return ''.join(element.itertext())

    parser = etree.HTMLParser()
    tree = etree.fromstring(html_content, parser)
    elements = tree.xpath(f"//{tag}")
    return [extract_text_from_element(element) for element in elements]



